﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Syncfusion.SfCarousel.XForms;
using Xamarin.Forms;
using System.Collections.ObjectModel;

namespace SfCoruselSample
{
    public partial class Page1 : ContentPage
    {
        public Page1()
        {
            InitializeComponent();
            carousel.ViewMode = ViewMode.Linear;
          
            carousel.BindingContext = new CarouselViewModel();
            SampleButton1.Clicked += (Object sender, EventArgs e) =>
              {
                  DisplayAlert("Header", "SampleButton1 clicked", "Ok");
              };
            SampleButton2.Clicked += (Object sender, EventArgs e) =>
            {
                DisplayAlert("Header", "SampleButton1 clicked", "Ok");
            };
        }
    }
    public class CarouselModel
    {
        public string Name { get; set; }
        public double OG { get; set; }
        public double FG { get; set; }
    }
    public class CarouselViewModel
    {
        public CarouselViewModel()
        {

            ImageCollection.Add(new CarouselModel { FG = 1.20, Name = "Test 1", OG = .09 });
            ImageCollection.Add(new CarouselModel { FG = 1.20, Name = "Test 2", OG = .09 });
            ImageCollection.Add(new CarouselModel { FG = 1.20, Name = "Test 3", OG = .09 });
            ImageCollection.Add(new CarouselModel { FG = 1.20, Name = "Test 4", OG = .09 });
        }
        private ObservableCollection<CarouselModel> _imageCollection = new ObservableCollection<CarouselModel>();
        public ObservableCollection<CarouselModel> ImageCollection
        {
            get { return _imageCollection; }
            set { _imageCollection = value; }
        }
    }
}
